Subject: Re: libbfd.a undefined refernce to _dcgettext, _htab_create_alloc
From: "Vikram Mehta" <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Tue, 1 Jul 2003 12:11:32 -0700

Hi Gerrit

Thanx  .....

One more thing

The problem with _htab_create_alloc still stays
I  believe u had this problem too, U hv said it is in libiberty but not the
one shipped with gcc 3.2.3

how can I get the libibery with this function....  I tried
Cygwin.Com/packages  but they show only gcc 3.2.3 which I already have and
it doenot hv _htab_create_alloc

regards
Vikram

----- Original Message -----
From: "Gerrit P. Haase" <[email-masked]>
To: "Vikram Mehta" <[email-masked]>
Sent: Monday, June 30, 2003 4:41 PM
Subject: Re: libbfd.a undefined refernce to _dcgettext, _htab_create_alloc

> Hallo Vikram,
>
> Am Dienstag, 1. Juli 2003 um 07:17 schriebst du:
>
> > IN detail
>
> [...]
>
> >
/usr/lib/gcc-lib/i686-pc-cygwin/3.2/../../../libbfd.a(syms.o)(.text+0x1109):
> > undefined reference to `_dcgettext'
>
> Why don't you link against libintl?
> Just add -lintl to the linker command line.
>
> The import library is in the libintl-devel packages (I guess).
>
> If you want to link against the dll add the DLL to your link line:
> e.g.
> gcc ... /bin/cygintl-2.dll
> or:
> gcc ... -L/bin -lintl-2
>
>
> Gerrit
> --
> =^..^=
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/